import { ExerciseImportComponent } from 'app/exercise/import/exercise-import.component';
import { Routes } from '@angular/router';
import { Authority } from 'app/shared/constants/authority.constants';
import { UserRouteAccessService } from 'app/core/auth/user-route-access-service';

export const EXERCISE_IMPORT_ROUTE: Routes = [
  {
    path: ':token',
    component: ExerciseImportComponent,
    data: {
      authorities: [Authority.USER],
      pageTitle: 'exercise.import.pageTitle',
    },
    canActivate: [UserRouteAccessService],
  },
];
